Ruby io_splice 2.2.0 - updates for Linux 2.6.35v2.2.0
authorEric Wong <normalperson@yhbt.net>
Mon, 2 Aug 2010 07:55:57 +0000 (07:55 +0000)
committerEric Wong <normalperson@yhbt.net>
Mon, 2 Aug 2010 07:55:57 +0000 (07:55 +0000)
commitfd4ee32882f8c59b085f097dbb2d143c9086a255
tree60f1ba7840e9b5662372e2456060f8c10a8c4fc5
parenta6a3ba543c3b9069437ade7741c694ce3da2e884
Ruby io_splice 2.2.0 - updates for Linux 2.6.35

This release adds IO#pipe_size and IO#pipe_size= accessors for
resizing the kernel pipe buffer under Linux 2.6.35+.  This
functionality may be used to either reduce memory footprint or
make large copies with fewer method dispatches and system calls.

These methods are only available when run under Linux 2.6.35 or
later (but always built, so there's no need to recompile this
library after upgrading your kernel).

http://bogomips.org/ruby_io_splice/doc/IO.html#method-i-pipe_size
http://bogomips.org/ruby_io_splice/doc/IO.html#method-i-pipe_size%3D
README
lib/io/splice.rb